From c0beb0ed6dd3d392b11161c565d7dfd52ed2aceb Mon Sep 17 00:00:00 2001
From: Jim Meyering <meyering(a)redhat.com>
Date: Mon, 2 Jun 2008 11:54:34 +0200
Subject: [PATCH 1/2] * tests/cpuset: New script. Test for today's fix.
* tests/Makefile.am (test_scripts): Add cpuset.
---
tests/Makefile.am | 1 +
tests/cpuset | 45 +++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 46 insertions(+), 0 deletions(-)
create mode 100755 tests/cpuset
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 02b7970..ea577df 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -48,6 +48,7 @@ test_scripts = domainschematest
if WITH_LIBVIRTD
test_scripts += \
test_conf.sh \
+ cpuset \
daemon-conf \
int-overflow \
read-bufsiz \
diff --git a/tests/cpuset b/tests/cpuset
new file mode 100755
index 0000000..8722c81
--- /dev/null
+++ b/tests/cpuset
@@ -0,0 +1,45 @@
+#!/bin/sh
+# ensure that defining with an invalid vCPU cpuset elicits a diagnostic
+
+# Copyright (C) 2008 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <
http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ virsh --version
+fi
+
+. $srcdir/test-lib.sh
+
+fail=0
+
+# generate input
+virsh --connect test:///default dumpxml 1 > xml || fail=1
+
+# require the presence of the string we'll transform
+grep '<vcpu>' xml > /dev/null || fail=1
+
+sed "s/vcpu>/vcpu cpuset='aaa'>/" xml > xml-invalid || fail=1
+
+# Require failure and a diagnostic.
+virsh --connect test:///default define xml-invalid > out 2>&1 &&
fail=1
+cat <<\EOF > exp || fail=1
+libvir: Domain Config error : failed Xen syscall topology cpuset syntax error
+error: Failed to define domain from xml-invalid
+
+EOF
+compare out exp || fail=1
+
+(exit $fail); exit $fail
--
1.6.0.3.756.gb776d